clause.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Bool
| Boolean propagators.

## Functions

template<class VX, class VY>
ExecStatus | Gecode::Int::Bool::resubscribe (Space &home, Propagator &p, VX &x0, ViewArray< VX > &x, VY &x1, ViewArray< VY > &y)
template<class VX>
void | Gecode::Int::Bool::eliminate_zero (ViewArray< VX > &x, int &n_zero)